Bug 1374800 - Review Request: puppet-magnum
Summary: Review Request: puppet-magnum
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: RDO
Classification: Community
Component: Package Review
Version: trunk
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: trunk
Assignee: hguemar
QA Contact: hguemar
URL:
Whiteboard:
Depends On:
Blocks: RDO-NEWTON-PUPPET 1402587
TreeView+ depends on / blocked
 
Reported: 2016-09-09 16:40 UTC by Jason Guiditta
Modified: 2017-06-22 15:37 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1402587 (view as bug list)
Environment:
Last Closed: 2017-06-22 15:37:45 UTC
karlthered: rdo-review+


Attachments (Terms of Use)

Description Jason Guiditta 2016-09-09 16:40:45 UTC
The magnum module is a part of OpenStack, an effort by the OpenStack infrastructure team to provide continuous integration testing and code review for OpenStack and OpenStack community projects not part of the core software. The module itself is used to flexibly configure and manage the container service for OpenStack.

The upstream puppet module to configure magnum is located at:
https://github.com/openstack/puppet-magnum

Comment 1 Jason Guiditta 2016-09-13 14:34:43 UTC
licencecheck output:

./Rakefile: *No copyright* UNKNOWN
./spec/classes/magnum_keystone_domain_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_keystone_auth_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_db_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_init_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_policy_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_db_sync_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_db_postgresql_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_config_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_db_mysql_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_logging_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_keystone_authtoken_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_api_spec.rb: *No copyright* UNKNOWN
./spec/classes/magnum_conductor_spec.rb: *No copyright* UNKNOWN
./spec/acceptance/basic_magnum_spec.rb: *No copyright* UNKNOWN
./spec/unit/type/magnum_config_spec.rb: *No copyright* UNKNOWN
./spec/unit/type/magnum_api_paste_ini_spec.rb: *No copyright* UNKNOWN
./spec/unit/provider/magnum_config/ini_setting_spec.rb: *No copyright* UNKNOWN
./spec/unit/provider/magnum_api_paste_ini/ini_setting_spec.rb: *No copyright* UNKNOWN
./spec/spec_helper.rb: *No copyright* UNKNOWN
./spec/shared_examples.rb: *No copyright* UNKNOWN
./spec/spec_helper_acceptance.rb: *No copyright* UNKNOWN
./README.md: *No copyright* UNKNOWN
./LICENSE: Apache (v2.0)
./lib/puppet/type/magnum_api_paste_ini.rb: *No copyright* UNKNOWN
./lib/puppet/type/magnum_config.rb: *No copyright* UNKNOWN
./lib/puppet/provider/magnum_config/ini_setting.rb: *No copyright* UNKNOWN
./lib/puppet/provider/magnum_api_paste_ini/ini_setting.rb: *No copyright* UNKNOWN
./releasenotes/source/conf.py: Apache (v2.0) GENERATED FILE
./setup.py: Apache (v2.0) GENERATED FILE
./Gemfile: *No copyright* UNKNOWN

Comment 2 Haïkel Guémar 2016-09-16 15:54:59 UTC
All is licensed under OpenStack ASL 2.0, spec file is generated.
Approved

Comment 3 Christopher Brown 2017-06-22 15:37:45 UTC
This package was merged so closing.


Note You need to log in before you can comment on or make changes to this bug.